Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Request-Id
string

Optional client request ID. Echoed back on response.

Path Parameters

id
string
required
Pattern: ^act_[A-Za-z0-9_-]+$
Example:

"act_M4qT8YH7xW2pL9nB"

Response

Action

id
string
required
Pattern: ^act_[A-Za-z0-9_-]+$
Example:

"act_M4qT8YH7xW2pL9nB"

status
enum<string>
required
Available options:
pending,
active,
awaiting_approval,
completed,
failed,
cancelled
url
string<uri>
required
method
enum<string>
required
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
attempts
integer
required
Required range: x >= 0
retries
integer
required
Required range: 1 <= x <= 100
created_at
string<date-time>
required
approve
boolean
required
body
object | null
headers
object | null
dedupe
string | null
started_at
string<date-time> | null
finished_at
string<date-time> | null
next_retry_at
string<date-time> | null
last_error
string | null
response_code
integer | null
response_body
unknown
duration_ms
integer | null
approved_at
string<date-time> | null
approved_by
string | null
callback
string<uri> | null
idempotency_key
string | null
retries_remaining
integer
Required range: x >= 0
next_retry_in_seconds
integer
Required range: x >= 0
actions
enum<string>[]

Allowed operations for the current status.

Available options:
approve,
cancel,
retry
error
object | null

Structured error detail present when status is failed.

receipt_url
string<uri-reference> | null

Shareable URL for this action's receipt page (e.g. /r/rcpt_...). No authentication required — secured by the unguessable receipt token.

deduplicated
boolean